VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::content::library::PublishInfo Class Reference

The `PublishInfo` class defines how a local library is published publicly for synchronization to other libraries. More...

List of all members.

## Classes
class | AuthenticationMethod
| The `PublishInfo.AuthenticationMethod` enumerated type indicates how a subscribed library should authenticate to the published library endpoint. More...
## Public Member Functions
| PublishInfo ()
| Creates a default new instance.
vmware.content.library.PublishInfo.AuthenticationMethod | GetAuthenticationMethod ()
| Indicates how a subscribed library should authenticate ( BASIC, NONE) to the published library endpoint.
void | SetAuthenticationMethod (vmware.content.library.PublishInfo.AuthenticationMethod authenticationMethod)
| Indicates how a subscribed library should authenticate ( BASIC, NONE) to the published library endpoint.
bool | GetPublished ()
| Whether the local library is published.
void | SetPublished (bool?published)
| Whether the local library is published.
global::System.Uri | GetPublishUrl ()
| The URL to which the library metadata is published by the Content Library Service.
void | SetPublishUrl (global::System.Uri publishUrl)
| The URL to which the library metadata is published by the Content Library Service.
string | GetUserName ()
| The username to require for authentication.
void | SetUserName (string userName)
| The username to require for authentication.
char[] | GetPassword ()
| The password to require for authentication.
void | SetPassword (char[] password)
| The password to require for authentication.
bool | GetPersistJsonEnabled ()
| Whether library and library item metadata are persisted in the storage backing as JSON files.
void | SetPersistJsonEnabled (bool?persistJsonEnabled)
| Whether library and library item metadata are persisted in the storage backing as JSON files.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `PublishInfo` class defines how a local library is published publicly for synchronization to other libraries.

## Constructor & Destructor Documentation

vmware::content::library::PublishInfo::PublishInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::PublishInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::PublishInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::PublishInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::PublishInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::PublishInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::PublishInfo::Equals | ( | object | obj | ) | `[inline]`

vmware.content.library.PublishInfo.AuthenticationMethod vmware::content::library::PublishInfo::GetAuthenticationMethod | ( |  | ) | `[inline]`

Indicates how a subscribed library should authenticate ( BASIC, NONE) to the published library endpoint.

override int vmware::content::library::PublishInfo::GetHashCode | ( |  | ) | `[inline]`

char [] vmware::content::library::PublishInfo::GetPassword | ( |  | ) | `[inline]`

The password to require for authentication.

bool vmware::content::library::PublishInfo::GetPersistJsonEnabled | ( |  | ) | `[inline]`

Whether library and library item metadata are persisted in the storage backing as JSON files.

This flag only applies if the local library is published.

Enabling JSON persistence allows you to synchronize a subscribed library manually instead of over HTTP. You copy the local library content and metadata to another storage backing manually and then create a subscribed library referencing the location of the library JSON file in the SubscriptionInfo.subscriptionUrl . When the subscribed library's storage backing matches the subscription URL, files do not need to be copied to the subscribed library.

For a library backed by a datastore, the library JSON file will be stored at the path contentlib-{library_id}/lib.json on the datastore.

For a library backed by a remote file system, the library JSON file will be stored at {library_id}/lib.json in the remote file system path.

bool vmware::content::library::PublishInfo::GetPublished | ( |  | ) | `[inline]`

Whether the local library is published.

global::System.Uri vmware::content::library::PublishInfo::GetPublishUrl | ( |  | ) | `[inline]`

The URL to which the library metadata is published by the Content Library Service.

This value can be used to set the SubscriptionInfo.subscriptionUrl property when creating a subscribed library.

string vmware::content::library::PublishInfo::GetUserName | ( |  | ) | `[inline]`

The username to require for authentication.

void vmware::content::library::PublishInfo::SetAuthenticationMethod | ( | vmware.content.library.PublishInfo.AuthenticationMethod | authenticationMethod | ) | `[inline]`

Indicates how a subscribed library should authenticate ( BASIC, NONE) to the published library endpoint.

void vmware::content::library::PublishInfo::SetPassword | ( | char[] | password | ) | `[inline]`

The password to require for authentication.

void vmware::content::library::PublishInfo::SetPersistJsonEnabled | ( | bool? | persistJsonEnabled | ) | `[inline]`

Whether library and library item metadata are persisted in the storage backing as JSON files.

This flag only applies if the local library is published.

Enabling JSON persistence allows you to synchronize a subscribed library manually instead of over HTTP. You copy the local library content and metadata to another storage backing manually and then create a subscribed library referencing the location of the library JSON file in the SubscriptionInfo.subscriptionUrl . When the subscribed library's storage backing matches the subscription URL, files do not need to be copied to the subscribed library.

For a library backed by a datastore, the library JSON file will be stored at the path contentlib-{library_id}/lib.json on the datastore.

For a library backed by a remote file system, the library JSON file will be stored at {library_id}/lib.json in the remote file system path.

void vmware::content::library::PublishInfo::SetPublished | ( | bool? | published | ) | `[inline]`

Whether the local library is published.

void vmware::content::library::PublishInfo::SetPublishUrl | ( | global::System.Uri | publishUrl | ) | `[inline]`

The URL to which the library metadata is published by the Content Library Service.

This value can be used to set the SubscriptionInfo.subscriptionUrl property when creating a subscribed library.

void vmware::content::library::PublishInfo::SetUserName | ( | string | userName | ) | `[inline]`

The username to require for authentication.

override string vmware::content::library::PublishInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- PublishInfo.cs